# Created by pyp2rpm-3.3.2
%global pypi_name zeep

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        1%{?dist}
Summary:        b'A modern/fast Python SOAP client based on lxml / requests'

License:        b'MIT'
URL:            b'http://docs.python-zeep.org'
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(aiohttp) >= 1.0
BuildRequires:  python3dist(appdirs) >= 1.4.0
BuildRequires:  python3dist(attrs) >= 17.2.0
BuildRequires:  python3dist(cached-property) >= 1.3.0
BuildRequires:  python3dist(defusedxml) >= 0.4.1
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(isodate) >= 0.5.4
BuildRequires:  python3dist(isort) >= 4.2.15
BuildRequires:  python3dist(lxml) >= 3.1.0
BuildRequires:  python3dist(mock) >= 2.0.0
BuildRequires:  python3dist(pretend) >= 1.0.8
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(requests) >= 2.7.0
BuildRequires:  python3dist(requests-mock) >= 0.7.0
BuildRequires:  python3dist(requests-mock) >= 0.7.0
BuildRequires:  python3dist(requests-toolbelt) >= 0.7.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.9.0
BuildRequires:  python3dist(sphinx) >= 1.4.0
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(xmlsec) >= 0.6.1

%description
b"\nZeep: Python SOAP client \n\n\nA fast and modern Python SOAP
client\n\nHighlights:\n * Compatible with Python 2.7, 3.3, 3.4, 3.5, 3.6 and
PyPy\n * Build on top of lxml and requests\n * Support for Soap 1.1, Soap 1.2
and HTTP bindings\n * Support for WS-Addressing headers\n * Support for WSSE
(UserNameToken / x.509 signing)\n * Support for tornado async transport via
gen.coroutine (Python...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Provides:       python3-%{pypi_name}}
 
Requires:       python3dist(aiohttp) >= 1.0
Requires:       python3dist(appdirs) >= 1.4.0
Requires:       python3dist(attrs) >= 17.2.0
Requires:       python3dist(cached-property) >= 1.3.0
Requires:       python3dist(defusedxml) >= 0.4.1
Requires:       python3dist(freezegun)
Requires:       python3dist(isodate) >= 0.5.4
Requires:       python3dist(isort) >= 4.2.15
Requires:       python3dist(lxml) >= 3.1.0
Requires:       python3dist(mock) >= 2.0.0
Requires:       python3dist(pretend) >= 1.0.8
Requires:       python3dist(pytz)
Requires:       python3dist(requests) >= 2.7.0
Requires:       python3dist(requests-mock) >= 0.7.0
Requires:       python3dist(requests-toolbelt) >= 0.7.1
Requires:       python3dist(six) >= 1.9.0
Requires:       python3dist(sphinx) >= 1.4.0
Requires:       python3dist(tornado)
Requires:       python3dist(xmlsec) >= 0.6.1
%description -n python3-%{pypi_name}
b"\nZeep: Python SOAP client \n\n\nA fast and modern Python SOAP
client\n\nHighlights:\n * Compatible with Python 2.7, 3.3, 3.4, 3.5, 3.6 and
PyPy\n * Build on top of lxml and requests\n * Support for Soap 1.1, Soap 1.2
and HTTP bindings\n * Support for WS-Addressing headers\n * Support for WSSE
(UserNameToken / x.509 signing)\n * Support for tornado async transport via
gen.coroutine (Python...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Apr 07 2019 Martin Kutlak <mkutlak@redhat.com> - 3.3.1-1
- Update to release 3.3.1

* Tue Feb 26 2019 Martin Kutlak <mkutlak@redhat.com> - 3.2.0-1
- Update to release 3.2.0

* Thu Dec 13 2018 Matej Marusak <mmarusak@redhat.com> - 3.1.0-2
- Do not hardcode versions

* Thu Aug 02 2018 Matej Marusak <mmarusak@redhat.com> - 3.1.0-1
- Initial package.
